#!/usr/bin/perl -w
##############################################################################
# Copyright (c) 2003
# Author Sylvain Daubert <gwine@free.fr>
#
# This program is free software; you can redistribute it and/or modify it 
# under the terms of the GNU General Public License as published by the Free 
# Software Foundation; either version 2 of the License, or (at your option) 
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT 
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or 
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for 
# more details.
#
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc., 675 Mass 
# Ave, Cambridge, MA 02139, USA.
# Sylvain Daubert <gwine@free.fr>
#############################################################################
## Define GLWine class
#############################################################################
## This class defines a list of GWine
## This class inherits from GList
#############################################################################


package Gwine::GLWine;
use strict;
use Gwine::GWine;

BEGIN {
    use Gwine::GList;
    use vars qw( @ISA );
    @ISA = qw( Gwine::GList );
}


#############################################################################
## Method to access object by name
## With ref arg, set the value, else only retrieve it
#############################################################################
sub by_name {
    my $self = shift;
    my $name = shift;
    
    my $i = 0;
    foreach my $value (@$self) {
	next if $value eq "-1";
	if ($value->domain() eq $name) {
	    if (@_) {$self->[$i] = shift}
	    return $self->[$i];
	}
	$i++;
    }
    return -1;
}



1;

__END__
    
