#!/usr/bin/perl
##############################################################################
# Copyright (c) 2003
# Author Sylvain Daubert <gwine@free.fr>
#
# This program is free software; you can redistribute it and/or modify it 
# under the terms of the GNU General Public License as published by the Free 
# Software Foundation; either version 2 of the License, or (at your option) 
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT 
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or 
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for 
# more details.
#
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc., 675 Mass 
# Ave, Cambridge, MA 02139, USA.
# Sylvain Daubert <gwine@free.fr>
#############################################################################
## Define GLZone class
#############################################################################
## This class defines a list of GZone
## This class inherits from GList
#############################################################################


package Gwine::GLZone;
use strict;
use warnings;
use Gwine::GZone;

BEGIN {
    use Gwine::GList;
    use vars qw( @ISA );
    @ISA = qw( Gwine::GList );
}


#############################################################################
## Method to access object by name
## With ref arg, set the value, else only retrieve it
#############################################################################
sub by_name {
  my $self = shift;
  my $name = shift;

  my $l = @$self;
  for (my $i = 0; $i < $l; $i++) {
      next if $self->[$i] eq "-1";
      if ($self->[$i]->zone() eq $name) {
      if (@_) {$self->[$i] = shift}
      return $self->[$i];
    }
  }
  return -1;
}



1;

__END__
