#!/usr/bin/perl -w
##############################################################################
# Copyright (c) 2003
# Author Sylvain Daubert <gwine@free.fr>
#
# This program is free software; you can redistribute it and/or modify it 
# under the terms of the GNU General Public License as published by the Free 
# Software Foundation; either version 2 of the License, or (at your option) 
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT 
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or 
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for 
# more details.
#
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc., 675 Mass 
# Ave, Cambridge, MA 02139, USA.
# Sylvain Daubert <gwine@free.fr>
#############################################################################
## Define GProd class
#############################################################################
## This class defines a producer data base record
#############################################################################


package Gwine::GProd;
use strict;

#############################################################################
## Creator
## Parameters :
##    name    : string : producer's name
##    address : string : his adress
##    zip     : string : zip code
##    city    : string : his city
##    country : string : his country
##    phone   : string : his phone number
#############################################################################
sub new {
    my $proto = shift;

    my $class = ref($proto) || $proto;
    my $self = {};

    bless($self,$class);

    $self->{name} = shift;
    $self->{address} = shift || "";
    $self->{zip} = shift || "";
    $self->{city} = shift || "";
    $self->{country} = shift || "";
    $self->{phone} = shift || "";

    return $self;
}


#############################################################################
## Methods to access per-object data
## With args, they set the value, else they only retrieve it.
#############################################################################
sub name {
    my $self = shift;
    if (@_) {
	$self->{name} = shift;
    }
    return $self->{name};
}

sub address {
    my $self = shift;
    if (@_) {
	$self->{address} = shift;
    }
    return $self->{address};
}

sub zip {
    my $self = shift;
    if (@_) {
	$self->{zip} = shift;
    }
    return $self->{zip};
}

sub city {
    my $self = shift;
    if (@_) {
	$self->{city} = shift;
    }
    return $self->{city};
}

sub country {
    my $self = shift;
    if (@_) {
	$self->{country} = shift;
    }
    return $self->{country};
}

sub phone {
    my $self = shift;
    if (@_) {
	$self->{phone} = shift;
    }
    return $self->{phone};
}



1;

__END__
