#!/usr/bin/perl
##############################################################################
# Copyright (c) 2003
# Author Sylvain Daubert <gwine@free.fr>
#
# This program is free software; you can redistribute it and/or modify it 
# under the terms of the GNU General Public License as published by the Free 
# Software Foundation; either version 2 of the License, or (at your option) 
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT 
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or 
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for 
# more details.
#
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc., 675 Mass 
# Ave, Cambridge, MA 02139, USA.
# Sylvain Daubert <gwine@free.fr>
#############################################################################
use strict;
use warnings;


####################################################################
## Package Gwine::L10N::fr
## Language class for internal keys
####################################################################
package Gwine::L10N::de;

BEGIN {
    use base qw( Gwine::L10N );
    use vars qw( @ISA );
}


#############################################################################
## Overriding Gwine::L10N->init
sub init {
    my $self = shift;
    $self->SUPER::init();
    $self->{decimal_digits} = 2;
    $self->{decimal_fill} = 1;
    $self->{decimal_point} = ',';
}


#############################################################################
## Define date format
sub _to_locale_format {
    my $self = shift;
    return $self->{datetime}->strftime('%d. %m. %Y')
}


#############################################################################
## By-date sort function
sub sort_by_date {
    my ($lh, $a, $b) = @_;

    $a ||= '0. 0. 0';
    $b ||= '0. 0. 0';

    my ($da, $ma, $ya) = split m!\.\s!, $a;
    my ($db, $mb, $yb) = split m!\.\s!, $b;
    my $year = $ya <=> $yb;
    return $year if $year != 0;
    my $month = $ma <=> $mb;
    return $month if $month != 0;
    return ($da <=> $db)
}



1;


__END__
